Package be.cin.nip.async.generic

# Class MsgResponse

java.lang.Object
be.cin.nip.async.generic.MsgResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:16:04+02:00", comments="JAXB RI v4.0.5") public class MsgResponse extends Object implements Serializable

Java class for MsgResponse complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MsgResponse">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CommonOutput" type="{urn:be:cin:mycarenet:esb:common:v2}CommonOutputType"/>
             <element name="Detail" type="{urn:be:cin:types:v1}Blob"/>
             <element name="Xades-t" type="{http://www.w3.org/2005/05/xmlmime}base64Binary"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MsgResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CommonOutputType`
  `getCommonOutput()`
  Gets the value of the commonOutput property.
  `Blob`
  `getDetail()`
  Gets the value of the detail property.
  `Base64Binary`
  `getXadesT()`
  The signature in xades-t form, base64 encoded to preserve the internal signature.
  `void`
  `setCommonOutput(CommonOutputType value)`
  Sets the value of the commonOutput property.
  `void`
  `setDetail(Blob value)`
  Sets the value of the detail property.
  `void`
  `setXadesT(Base64Binary value)`
  Sets the value of the xadesT property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MsgResponse

    public MsgResponse()

- ## Method Details

  - ### getCommonOutput

    public CommonOutputType getCommonOutput()
    Gets the value of the commonOutput property.
    Returns:
      possible object is `CommonOutputType`

  - ### setCommonOutput

    public void setCommonOutput(CommonOutputType value)
    Sets the value of the commonOutput property.
    Parameters:
      `value` - allowed object is `CommonOutputType`

  - ### getDetail

    public Blob getDetail()
    Gets the value of the detail property.
    Returns:
      possible object is `Blob`

  - ### setDetail

    public void setDetail(Blob value)
    Sets the value of the detail property.
    Parameters:
      `value` - allowed object is `Blob`

  - ### getXadesT

    public Base64Binary getXadesT()
    The signature in xades-t form, base64 encoded to preserve the internal signature.
    Returns:
      possible object is `Base64Binary`

  - ### setXadesT

    public void setXadesT(Base64Binary value)
    Sets the value of the xadesT property.
    Parameters:
      `value` - allowed object is `Base64Binary`
    See Also:
      - `getXadesT()`